Name:           bamf-qt
Version:        0.2.3

Release:        1%{?dist}
Summary:        Qt bindings and QML plugin for Bamf DBus server

Group:          System Environment/Libraries
# LGPLv3 only as upstream does not install GPLv3 example
License:        LGPLv3
URL:            https://launchpad.net/bamf-qt/

# there's currently no standalone upstream release
Source0:        https://launchpad.net/ubuntu/precise/+source/libqtbamf/0.2.3-0ubuntu1/+files/libqtbamf_%{version}.orig.tar.gz

Patch0:         bamf-qt-0.1.bzr371-libdir-suffix.patch

BuildRequires:  bamf-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake


%description
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
Header files for developing applications using %{name}.

%prep
%setup -q -n libqtbamf-%{version}

# install pkgconfig and QML plugin to correctly suffixed libdir
%patch0 -p1 -b .libdir-suffix

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd
make %{?_smp_mflags}  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README COPYING-GPL3 COPYING-LGPL3
%{_libdir}/libQtBamf.so.*
%{_qt4_importdir}/bamf

%files devel
%{_includedir}/QtBamf 
%{_libdir}/libQtBamf.so
%{_libdir}/pkgconfig/libqtbamf.pc

%changelog
* Fri Jan 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.2.3-1
- update to 0.2.3 release

* Thu Mar 03 2011 Jaroslav Reznik <jreznik@redhat.com> - 0.2-1
- update to 0.2 release

* Thu Jan 27 2011 Jaroslav Reznik <jreznik@redhat.com> 0.1-0.1.bzr371
- intial import